org.eclipse.cdt.core.dom.ast

## Interface IEnumeration

All Superinterfaces:
  Cloneable, org.eclipse.core.runtime.IAdaptable, IBinding, IType

All Known Subinterfaces:
  ICPPEnumeration, ICPPEnumerationSpecialization

    public interface IEnumeration
    extends IBinding, IType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IEnumerator[]` `getEnumerators()` Returns an array of the IEnumerators declared in this enumeration
`long` `getMaxValue()`
`long` `getMinValue()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getEnumerators

    IEnumerator[] getEnumerators()

Returns an array of the IEnumerators declared in this enumeration

#### getMinValue

    long getMinValue()

Since:
  5.2

#### getMaxValue

    long getMaxValue()

Since:
  5.2